/*
 * Copyright 2019 by Kappich Systemberatung Aachen
 * ALL RIGHTS RESERVED.
 */

package de.bsvrz.dav.daf.accessControl.internal;

import java.util.Collection;

/**
 * Zusätzliches Interface für ObjectSelectionBlock-Klassen, die innere Regionen referenzieren (können)
  *
 * @author Kappich Systemberatung
 * @version $Revision: 0000 $
 */
interface ObjectSelectionBlockRegion extends ObjectSelectionBlock {

	/**
	 * Gibt die referenzierten Regionen zurück
	 * @return Alle referenzierten Regionen
	 */
	Collection<Region> getRegions();
}
